# tiny-skeleton-loader

Teeny tiny react library for skeleton loading

![Example](preview.gif)

## Install

```bash
npm install --save tiny-skeleton-loader
```

## Usage

```tsx
import React from "react";

import SkeletonLoader from "tiny-skeleton-loader";

class Example extends React.Component {
  render() {
    return <SkeletonLoader />;
  }
}
```

## Properties

| Property       | Attribute       | Description             | Type      | Default     |
| -------------- | --------------- | ----------------------- | --------- | ----------- |
| `background`   | `background`    | Loader background color | `string`  | `"#eff1f6"` |
| `block`        | `block`         | Weather to start new    | `boolean` | `false`     |
| `borderRadius` | `border-radius` | Loader radius           | `string`  | `"4px"`     |
| `circle`       | `circle`        | Make Skeleton Circle    | `boolean` | `false`     |
| `height`       | `height`        | Loader Height           | `string`  | `"1em"`     |
| `width`        | `width`         | Loader Width            | `string`  | `"100%"`    |
| `style`        | `style`         | Extra Styles            | `object`  | `{}`        |

## License

MIT © [harshzalavadiya](https://github.com/harshzalavadiya)
